Subject: bug#30955: 27.0.50; Mouse clicks on header-line in Info are broken

From: Colin Baxter <[email-masked]>
Date: Sat, 31 Mar 2018 21:59:04 +0100

>>>>> Eli Zaretskii <[email-masked]> writes:

    >> Date: Sat, 31 Mar 2018 22:03:46 +0300 From: Eli Zaretskii
    >> <[email-masked]> Cc: [email-masked],
    >> [email-masked]
    >> 
    >> But just to be sure: can you describe the exact sequence of steps
    >> you are taking, starting from "emacs -Q"?  In particular, are you
    >> clicking on the Next/Prev/Up links of the header-line in an Info
    >> buffer?

    > Btw, the keymap property we put on the header-line does bind
    > mouse-2 to a command that follows link, not mouse-1:

    >     (define-key keymap [header-line down-mouse-1]
    > 'mouse-drag-header-line) (define-key keymap [header-line mouse-1]
    > 'mouse-select-window) (define-key keymap [header-line mouse-2]
    > 'Info-mouse-follow-link) (define-key keymap [mouse-2]
    > 'Info-mouse-follow-link) (define-key keymap [follow-link]
    > 'mouse-face)

    > So I guess this is somehow related to the processing of
    > mouse-1-click-follows-link.

As an ordinary user, my keyboard inputs don't produce any obvious
reference to mouse-2.